Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextListFormat Class Reference

The QTextListFormat class provides formatting information for lists in a QTextDocument. More...

    #include <QTextListFormat>

Inherits QTextFormat.

- List of all members, including inherited members

### Public Types

- enum Style { ListDisc, ListCircle, ListSquare, ListDecimal, ListLowerAlpha, ListUpperAlpha }

### Public Functions

- QTextListFormat ()
- int indent () const
- bool isValid () const
- void setIndent ( int indentation )
- void setStyle ( int style )
- int style () const

- 45 public functions inherited from QTextFormat

## Detailed Description

The QTextListFormat class provides formatting information for lists in a QTextDocument.

A list is composed of one or more items; each item is a block. A list format is used to specify the characteristics of a list; for example, setStyle() controls the style of the bullet points and the numbering scheme of the list items, and setIndent() controls the list's indentation.

See also QTextList.

## Member Type Documentation

### enum QTextListFormat::Style

This enum describes the symbols used to decorate list items:

`QTextListFormat::ListDisc` | a filled circle
`QTextListFormat::ListCircle` | an empty circle
`QTextListFormat::ListSquare` | a filled square
`QTextListFormat::ListDecimal` | decimal values in ascending order
`QTextListFormat::ListLowerAlpha` | lower case Latin characters in alphabetical order
`QTextListFormat::ListUpperAlpha` | upper case Latin characters in alphabetical order

## Member Function Documentation

### QTextListFormat::QTextListFormat ()

Constructs a new list format object.

### int QTextListFormat::indent () const

Returns the list format's indentation.

See also setIndent().

### bool QTextListFormat::isValid () const

Returns true if this list format is valid; otherwise returns false.

### void QTextListFormat::setIndent ( int indentation )

Sets the list format's indentation.

See also indent().

### void QTextListFormat::setStyle ( int style )

Sets the list format's style. See `Style` for the available styles.

See also style().

### int QTextListFormat::style () const

Returns the list format's style. See `Style`.

See also setStyle().